Skip to main content
POST
Send your review of a test's footage

Authorizations

Authorization
string
header
required

An API key (pch_...) or the token from pch login.

Path Parameters

id
string<uuid>
required

Body

application/json
verdict
enum<string>
required
Available options:
pass,
fail
plays
boolean
required

It starts and can be played

harmful
boolean
required

It sends players' data elsewhere, mines, phishes or collects credentials, misleads players, or shows content Patch doesn't allow

summary
string
required

What you saw, in a few lines

Required string length: 1 - 2000
moments
object[]
required
Maximum array length: 50

Response

object | null

The decided test

The newest test, for browser games

id
string<uuid>
required
project
string
required
version
string
required
state
enum<string>
required

waiting for Patch Desktop on your PC, running, recorded (waiting for your agent's review of the footage), passed, failed, couldnt_run (start another) or cancelled

Available options:
waiting,
running,
recorded,
passed,
failed,
couldnt_run,
cancelled
runs
integer
required
minutes
integer
required
pc_name
string | null
required
progress
object | null
required
outcome
object | null
required
results
object[]
required
review
object | null
required
created_at
string
required
claimed_at
string | null
required
finished_at
string | null
required